
Core - Bug # 25335

Status: Resolved Priority: Should have
Author: Xavier Perseguers Category:
Created: 2011-03-16 Assigned To:
Updated: 2014-09-16 Due date:
TYPO3 Version: 4.6
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Make TYPO3 free of NOTICE errors
Description

Running TYPO3 with PHP NOTICE errors on is simply not possible as there are far too many errors reported.

This bug entry serves as umbrella for cleanup within TYPO3 Core.

Resolution should target PHP5.3.

(issue imported from #M17962)

Subtasks:
Bug # 27230: cmpIPv4: prevent E_NOTICE, cleanup compare, testcases Closed
Bug # 27250: Get rid of error_reporting() at various places in the source Resolved
Related issues:
related to Core - Task # 31461: The Big Cleanup 4.7 Resolved 2012-02-19 2012-02-20

History
#1 - 2011-03-29 15:30 - Ernesto Baschny
- TYPO3 Version changed from 4.5 to 4.6
- PHP Version deleted (5.3)

#2 - 2011-10-25 23:45 - Chris topher
- Target version changed from 4.6.0 to 4.6.1

#3 - 2011-11-30 20:06 - Chris topher
- Target version changed from 4.6.1 to 4.6.2

#4 - 2012-02-07 08:58 - Xavier Perseguers
- Target version deleted (4.6.2)

#5 - 2014-07-15 15:59 - Alexander Opitz
- Is Regression set to No

What's the state of this issue?

#6 - 2014-07-15 16:09 - Xavier Perseguers

This is an umbrella ticket and one of its children is not closed.
However, I'd say that in latest versions of TYPO3 and furthermore with the introduction of the "Developer context", I don't have any problem anymore.

#7 - 2014-09-16 08:58 - Alexander Opitz

Hi Xavier,

the childs are resolved, so can we close this umbrella?

#8 - 2014-09-16 09:13 - Xavier Perseguers
- Status changed from New to Resolved
